%global src_name   gnome_shell___elementary_luna_by_half_left-d45j0f5.zip
%global theme_name elementary-luna
%global theme      Elementary-Luna

# Platform dependent constants
# The source contains 2 zip's: one for gnome 3.2 and one for gnome 3.4
%if 0%{?fedora} < 17
%global     shell_ver  3.2
%global     theme_dir  %{theme}-3.2
%else
%global     shell_ver  3.4
%global     theme_dir  %{theme}-3.4
%endif

Name:       gnome-shell-theme-%{theme_name}
Version:    %{shell_ver}
Release:    1%{?dist}
Summary:    The %{theme} gnome-shell theme
Group:      User Interface/Desktops

License:    GPLv3 and LGPLv2
URL:        http://half-left.deviantart.com/art/GNOME-Shell-Elementary-Luna-251149793
Source0:    http://www.deviantart.com/download/251149793/%{src_name}

Requires:   gnome-shell-extension-user-theme
Requires:   gnome-shell >= %{shell_ver}
BuildArch:  noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -c

%build
# nothing to build

%install
mkdir -p -m755 %{buildroot}/%{_datadir}/themes/%{theme}/gnome-shell

# put the theme files into some data dir
cp -pr %{theme_dir}/gnome-shell/* \
     %{buildroot}%{_datadir}/themes/%{theme}/gnome-shell

# delete backup files (*~)
find %{buildroot} -name *~ -type f -exec rm -f '{}' \;

# Remove LICENSE file from BUILDROOT
find %{buildroot} -name LICENSE -type f -exec rm -f '{}' \;

%files
%doc %{theme_dir}/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*

%changelog
* Sat Jul 14 2012 Elder Marco <eldermarco@fedoraproject.org> - 3.4-1
- Initial package based on Tim Lauridsen's spec file
